<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/crystalpoll/class/view/admineditpollsview.class.php" );
	
	/**
     * Edit polls action
     */
    class AdminEditPollsAction extends AdminAction 
	{
        function AdminEditPollsAction( $actionInfo, $request )
        {
        	$this->AdminAction( $actionInfo, $request );

            $this->requirePermission( "manage_admin_plugins" );            
        }

        function perform()
        {
            // initialize the view
        	$this->_view = new AdminEditPollsView( $this->_blogInfo );
            $this->setCommonData();
            return true;
        }
    }
?>
